Subject: [alpine-aports] [PATCH] testing/nzbget: new aport

From: AmatCoder <[email-masked]>
Date: Wed, 3 Jun 2015 22:05:30 +0000

http://nzbget.net
Usenet downloader
---
 testing/nzbget/APKBUILD         | 52 +++++++++++++++++++++++++++++++++++++++++
 testing/nzbget/add_stdint.patch | 11 +++++++++
 2 files changed, 63 insertions(+)
 create mode 100644 testing/nzbget/APKBUILD
 create mode 100644 testing/nzbget/add_stdint.patch

diff --git a/testing/nzbget/APKBUILD b/testing/nzbget/APKBUILD
new file mode 100644
index 0000000..aeee8ea
--- /dev/null
+++ b/testing/nzbget/APKBUILD
@@ -0,0 +1,52 @@
+# Contributor: August Klein <[email-masked]>
+# Maintainer: August Klein <[email-masked]>
+pkgname=nzbget
+pkgver=15.0
+pkgrel=0
+pkgdesc="Usenet downloader"
+url="http://nzbget.net"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev="libxml2-dev ncurses-dev openssl-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://sourceforge.net/projects/$pkgname/files/$pkgname-$pkgver.tar.gz
+	add_stdint.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+	update_config_sub
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--enable-parcheck \
+		--with-tlslib=OpenSSL \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="452a549eef67504b6af2598fbbcd93d3  nzbget-15.0.tar.gz
+0315a4ac71d7dc49a74a7a7c8422420e  add_stdint.patch"
+sha256sums="3ef13f3e5917e4cda19c4fc0cd37e79967a19b4e3448c239ff24e37712a6cc0a  nzbget-15.0.tar.gz
+2d2aa4f1a9da3ae9c4fc0ef70dbbd15815d3bdfff865e444c4ca79d6697e3504  add_stdint.patch"
+sha512sums="7233bea56f99e541155eac3e1d31f2603a407aee7055492c2bf20efc9b40a58e9e5f3b7ee7dada9278cb4bdc8b30a0e62f377235e12ac43c88f9111864d3a706  nzbget-15.0.tar.gz
+a96d63744a549ee287ce284c4b7136259705168fdfcbd82171c288b71479a185856d885946b7ff76ea36a049619ec1e572b28143fdc728ca359895eab679621d  add_stdint.patch"
diff --git a/testing/nzbget/add_stdint.patch b/testing/nzbget/add_stdint.patch
new file mode 100644
index 0000000..4422484
--- /dev/null
+++ b/testing/nzbget/add_stdint.patch
@@ -0,0 +1,11 @@
+--- a/daemon/remote/MessageBase.h
++++ b/daemon/remote/MessageBase.h
+@@ -27,6 +27,8 @@
+ #ifndef MESSAGEBASE_H
+ #define MESSAGEBASE_H
+ 
++#include <stdint.h>
++
+ static const int32_t NZBMESSAGE_SIGNATURE = 0x6E7A6228; // = "nzb-XX" (protocol version)
+ static const int NZBREQUESTFILENAMESIZE = 512;
+ static const int NZBREQUESTPASSWORDSIZE = 32;
-- 
2.4.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---